<div class="dialog-container">
  <div class="title" mat-dialog-title>
    <div>{{'Create Device'}}</div>
    <button (click)="onClose()" mat-icon-button>
      <mat-icon>close</mat-icon>
    </button>
  </div>

  <div class="content" mat-dialog-content>
    <mat-form-field appearance="outline">
      <mat-label>{{"Name" }}</mat-label>
      <input [formControl]="nameControl" autocomplete="off" matInput type="text">
    </mat-form-field>

    <mat-form-field appearance="outline">
      <mat-label>{{"DeviceEUI" }}</mat-label>
      <input [formControl]="deviceEUIControl" [maxLength]="16" autocomplete="off" matInput type="text">
    </mat-form-field>

    <mat-form-field appearance="outline">
      <mat-label>{{"Farm"}}</mat-label>
      <mat-select [formControl]="farmControl" disableOptionCentering>
        <mat-option *ngFor="let farm of $companyFarms | async" [value]="farm.id">
          {{farm.name}}
        </mat-option>
      </mat-select>
    </mat-form-field>

    <mat-form-field appearance="outline">
      <mat-label>Default Humidity 1 Min</mat-label>
      <input matInput type="number" [min]="1" [max]="DefaultHumidity1Max.value" [formControl]="DefaultHumidity1Min">
    </mat-form-field>


    <mat-form-field appearance="outline">
      <mat-label>Default Humidity 1 Max</mat-label>
      <input matInput type="number" [min]="DefaultHumidity1Min.value" [max]="100" [formControl]="DefaultHumidity1Max">
    </mat-form-field>

    <mat-form-field appearance="outline">
      <mat-label>Default Humidity 2 Min</mat-label>
      <input matInput type="number" [min]="1" [max]="DefaultHumidity2Max.value" [formControl]="DefaultHumidity2Min">
    </mat-form-field>

    <mat-form-field appearance="outline">
      <mat-label>Default Humidity 2 Max</mat-label>
      <input matInput type="number" [min]="DefaultHumidity2Min.value" [max]="100" [formControl]="DefaultHumidity2Max">
    </mat-form-field>

    <mat-form-field appearance="outline">
      <mat-label>Default Battery Level Min</mat-label>
      <input matInput type="number" [min]="1" [max]="DefaultBatteryLevelMax.value" [formControl]="DefaultBatteryLevelMin">
    </mat-form-field>

    <mat-form-field appearance="outline">
      <mat-label>Default Battery Level Max</mat-label>
      <input matInput type="number" [min]="DefaultBatteryLevelMin.value" [max]="100" [formControl]="DefaultBatteryLevelMax">
    </mat-form-field>

    <mat-form-field appearance="outline">
      <mat-label>Default Temperature Min</mat-label>
      <input matInput type="number" [min]="-40" [max]="DefaultTemperatureMax.value" [formControl]="DefaultTemperatureMin">
    </mat-form-field>

    <mat-form-field appearance="outline">
      <mat-label>Default Temperature Max</mat-label>
      <input matInput type="number" [min]="DefaultTemperatureMin.value" [max]="80" [formControl]="DefaultTemperatureMax">
    </mat-form-field>

  </div>

  <div class="actions" mat-dialog-actions>
    <button (click)="onClose()" mat-raised-button>
      {{ 'Cancel' }}
    </button>
    <button (click)="onSave()" [disabled]="!isValid()" color="primary" mat-raised-button>
      {{ 'Save' }}
    </button>
  </div>
</div>
